import { UiResourceMeta } from "../../../meta/ui-resource-meta";
import { VoidFunc } from "../../../../fd-toolbox/functions/internal-getter-setter-functions";
export declare function initSearchSearchableResourceResult(resourceName: string, setUiResourceMeta: VoidFunc<UiResourceMeta>, setResourceIcon: VoidFunc<string>): Promise<void>;
export declare function getTableConfig(searchableProperties?: string[]): {
    includeProperties: string[];
    className: string;
    maxNumberOfColumns: number;
};
export declare function getSearchableProperties(uiResourceMeta?: UiResourceMeta): string[];
/** @internal */
export declare function getSearchResultTableId(parentContextId: string, resourceName: string): string;
